Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Interface BeanBoxHandler

All Known Implementing Classes:
  SimpleBeanLayer

public interface BeanBoxHandler

The BeanBoxHandler interface should be implemented by an openmap layer that needs to interact with the `BeanBoxDnDCatcher`via the `BeanBox`instance associated with the layer. The BeanBoxDnDCatcher class uses the getBeanBox() method declared on this interface to obtain access to the `BeanBox`object associated with the layer.

Method Summary
`BeanBox` | `getBeanBox()` returns a layer specific implementation of the `BeanBox`class instance.

Method Detail

### getBeanBox

    public BeanBox getBeanBox()

  returns a layer specific implementation of the `BeanBox`class instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details